/* $Id: xmalloc.h,v 1.4 2002/10/06 01:44:17 m-a Exp $ */

#ifndef XMALLOC_H_GUARD
#define XMALLOC_H_GUARD
#include <stdlib.h>

/*@only@*//*@out@*//*@notnull@*/
void *xmalloc(size_t size);
void xfree(/*@only@*/ void *ptr);
/*@only@*//*@out@*//*@notnull@*/
void *xcalloc(size_t nmemb, size_t size);
/*@only@*//*@out@*//*@notnull@*/
void *xrealloc(/*@only@*/ void *ptr, size_t size);

#endif

